Table of Contents

## Name

im_gammacorrect - carry out gamma correction

## Synopsis

#include <vips/vips.h>

int im_gammacorrect(in, out, exponent)
IMAGE *in, *out;
double exponent;

## Description

im_gammacorrect performs gamma correction to in. The result in written in out. The correction is carried out by creating a lookup table using the double exponent and mapping in through it. The exponent is applied on a ramp lut and the resultant lut is scaled. All channels of im are mapped through the lookup table.

## See Also

im_histgr(3) , im_heq(3) , im_histeq(3) , im_identity(3) , im_maplut(3)

## Copyright

N. Dessipris

## Author

N. Dessipris - 10/05/1991

Table of Contents

- Name
- Synopsis
- Description
- See Also
- Copyright
- Author